      SUBROUTINE LSO_COPYWORDS(SOURCE, DEST, LENGTH)
C----------------------------------------------------------------------
C-
C-   Purpose and Methods : 
C-
C-   Inputs  : 
C-   Outputs : 
C-   Controls: 
C-
C-   Created  20-JUN-1991   MICHIGAN STATE UNIVERSITY, TRIGGER CONTROL SOFTWARE
C-
C----------------------------------------------------------------------
      IMPLICIT NONE
      INTEGER SOURCE(1:*)
      INTEGER DEST(1:*)
      INTEGER LENGTH
      INTEGER COUNT
C
C&IF VAXVMS
      CALL OTS$MOVE3( %VAL(LENGTH * 4), SOURCE, DEST)
C&ELSE
C&      DO COUNT = 1, LENGTH
C&        DEST(COUNT) = SOURCE(COUNT)
C&      ENDDO
C
C----------------------------------------------------------------------
  999 RETURN
      END
